Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in ImageMagick
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in ImageMagick
ID: openSUSE-SU-2018:2123-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Sa, 28. Juli 2018, 20:33
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10805
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-11624
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12599
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12600
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-11625
Applikationen: ImageMagick

Originalnachricht

   openSUSE Security Update: Security update for ImageMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2123-1
Rating: moderate
References: #1094742 #1094745 #1095812 #1096200 #1096203
#1098545 #1098546
Cross-References: CVE-2018-10805 CVE-2018-11624 CVE-2018-11625
CVE-2018-12599 CVE-2018-12600
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves 5 vulnerabilities and has two fixes
is now available.

Description:

This update for ImageMagick fixes the following issues:

The following security vulnerabilities were fixed:

- CVE-2018-11625: Fixed heap-based buffer over-read in SetGrayscaleImage
in the quantize.c file, which allowed remote attackers to cause buffer
over-read via a crafted file. (bsc#1096200)
- CVE-2018-11624: Fixed a use-after-free issue in the ReadMATImage
function in coders/mat.c. (bsc#1096203)
- CVE-2018-10805: Fixed several memory leaks in bgr.c, rgb.c, cmyk.c,
gray.c, and ycbcr.c (bsc#1095812)
- CVE-2018-12600: The ReadDIBImage and WriteDIBImage functions allowed
attackers to cause an out of bounds write via a crafted file
(bsc#1098545).
- CVE-2018-12599: The ReadBMPImage and WriteBMPImage fucntions allowed
attackers to cause an out of bounds write via a crafted file
(bsc#1098546).

The following other changes were made:

- Fix -gamma issues in special cases. (bsc#1094745, bsc#1094742)

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-778=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

ImageMagick-7.0.7.34-lp150.2.6.1
ImageMagick-debuginfo-7.0.7.34-lp150.2.6.1
ImageMagick-debugsource-7.0.7.34-lp150.2.6.1
ImageMagick-devel-7.0.7.34-lp150.2.6.1
ImageMagick-extra-7.0.7.34-lp150.2.6.1
ImageMagick-extra-debuginfo-7.0.7.34-lp150.2.6.1
libMagick++-7_Q16HDRI4-7.0.7.34-lp150.2.6.1
libMagick++-7_Q16HDRI4-debuginfo-7.0.7.34-lp150.2.6.1
libMagick++-devel-7.0.7.34-lp150.2.6.1
libMagickCore-7_Q16HDRI6-7.0.7.34-lp150.2.6.1
libMagickCore-7_Q16HDRI6-debuginfo-7.0.7.34-lp150.2.6.1
libMagickWand-7_Q16HDRI6-7.0.7.34-lp150.2.6.1
libMagickWand-7_Q16HDRI6-debuginfo-7.0.7.34-lp150.2.6.1
perl-PerlMagick-7.0.7.34-lp150.2.6.1
perl-PerlMagick-debuginfo-7.0.7.34-lp150.2.6.1

- openSUSE Leap 15.0 (noarch):

ImageMagick-doc-7.0.7.34-lp150.2.6.1

- openSUSE Leap 15.0 (x86_64):

ImageMagick-devel-32bit-7.0.7.34-lp150.2.6.1
libMagick++-7_Q16HDRI4-32bit-7.0.7.34-lp150.2.6.1
libMagick++-7_Q16HDRI4-32bit-debuginfo-7.0.7.34-lp150.2.6.1
libMagick++-devel-32bit-7.0.7.34-lp150.2.6.1
libMagickCore-7_Q16HDRI6-32bit-7.0.7.34-lp150.2.6.1
libMagickCore-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-lp150.2.6.1
libMagickWand-7_Q16HDRI6-32bit-7.0.7.34-lp150.2.6.1
libMagickWand-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-lp150.2.6.1


References:

https://www.suse.com/security/cve/CVE-2018-10805.html
https://www.suse.com/security/cve/CVE-2018-11624.html
https://www.suse.com/security/cve/CVE-2018-11625.html
https://www.suse.com/security/cve/CVE-2018-12599.html
https://www.suse.com/security/cve/CVE-2018-12600.html
https://bugzilla.suse.com/1094742
https://bugzilla.suse.com/1094745
https://bugzilla.suse.com/1095812
https://bugzilla.suse.com/1096200
https://bugzilla.suse.com/1096203
https://bugzilla.suse.com/1098545
https://bugzilla.suse.com/1098546

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung